tigase.cluster.api

## Class CommandListenerAbstract

- java.lang.Object
- - tigase.cluster.api.CommandListenerAbstract

- All Implemented Interfaces:
    Comparable<CommandListener>, CommandListener
  Direct Known Subclasses:
    AmpComponentClustered.PacketForwardCommand, PacketForwardCmd

      public abstract class CommandListenerAbstract
      extends Object
      implements CommandListener

  Author:
    kobit

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandListenerAbstract(String name, Priority priority)` Constructs ...

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CommandListener cl)`
    `boolean` | `equals(Object cl)`
    `String` | `getName()` Method allows retrieval name of the particular command
    `Priority` | `getPriority()` Method returns priority of particular command which should be used to assign proper priority for processing of this command
    `void` | `getStatistics(StatisticsList list)` Method allows retrieval possible statistics for particular command
    `static long` | `getSyncInTraffic()` Method description
    `static long` | `getSyncOutTraffic()` Method description
    `int` | `hashCode()`
    `void` | `incSyncInTraffic()` Method description
    `void` | `incSyncOutTraffic()` Method description
    `void` | `setName(String name)` Method allows setting name of the command
    `void` | `setPriority(Priority priority)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.cluster.api.CommandListener

      `executeCommand`

- - ### Constructor Detail

    - #### CommandListenerAbstract

          public CommandListenerAbstract(String name,
                                         Priority priority)

      Constructs ...
      Parameters:
        `name` -

  - ### Method Detail

    - #### compareTo

          public int compareTo(CommandListener cl)

      Specified by:
        `compareTo` in interface `Comparable<CommandListener>`

    - #### equals

          public boolean equals(Object cl)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### incSyncInTraffic

          public void incSyncInTraffic()

      Method description

    - #### incSyncOutTraffic

          public void incSyncOutTraffic()

      Method description

    - #### getName

          public String getName()

      Description copied from interface: `CommandListener`
      Method allows retrieval name of the particular command
      Specified by:
        `getName` in interface `CommandListener`
      Returns:
        a value of `String` name of the command

    - #### getPriority

          public Priority getPriority()

      Description copied from interface: `CommandListener`
      Method returns priority of particular command which should be used to assign proper priority for processing of this command
      Specified by:
        `getPriority` in interface `CommandListener`
      Returns:

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Description copied from interface: `CommandListener`
      Method allows retrieval possible statistics for particular command
      Specified by:
        `getStatistics` in interface `CommandListener`
      Parameters:
        `list` - collection to which statistics should be appended

    - #### getSyncInTraffic

          public static long getSyncInTraffic()

      Method description
      Returns:
        a value of `long`

    - #### getSyncOutTraffic

          public static long getSyncOutTraffic()

      Method description
      Returns:
        a value of `long`

    - #### setName

          public final void setName(String name)

      Description copied from interface: `CommandListener`
      Method allows setting name of the command
      Specified by:
        `setName` in interface `CommandListener`
      Parameters:
        `name` - to be used

    - #### setPriority

          public void setPriority(Priority priority)

Copyright © 2022 "Tigase, Inc.". All rights reserved.